User Group¶
List All User Groups¶
GET /api/admin/user_groups
Schema
user_groups: Arrayid: Integername: Stringis_default: Booleanbilling_plan_id: Integeractive: Booleanq_containers: Integerq_dns_zones: Integerq_cr: Integerallow_local_volume: Boolean - When using NFS volume storage, enable this to allow users to choose.bill_offline: Boolean - Continue billing containers when they're stopped. Volumes and backups are always billed. (default: true)bill_suspended: Boolean - Continue billing suspended users. (default: true)remove_stopped: Boolean - Remove stopped containers from the node. Persistent volumes will remain. When the user starts the container, it will be repovisioned automatically. (default: false)created_at: DateTimeupdated_at: DateTime
View User Group¶
GET /api/admin/user_groups/{id}
Schema
user_group: Objectid: Integername: Stringis_default: Booleanbilling_plan_id: Integeractive: Booleanq_containers: Integerq_dns_zones: Integerq_cr: Integerallow_local_volume: Boolean - When using NFS volume storage, enable this to allow users to choose.bill_offline: Boolean - Continue billing containers when they're stopped. Volumes and backups are always billed. (default: true)bill_suspended: Boolean - Continue billing suspended users. (default: true)remove_stopped: Boolean - Remove stopped containers from the node. Persistent volumes will remain. When the user starts the container, it will be repovisioned automatically. (default: false)created_at: DateTimeupdated_at: DateTime
Edit User Group¶
PATCH /api/admin/user_groups/{id}
Schema
user_group: Objectname: Stringis_default: Booleanbilling_plan_id: Integeractive: Booleanq_containers: Integerq_dns_zones: Integerq_cr: Integerallow_local_volume: Boolean - When using NFS volume storage, enable this to allow users to choose.bill_offline: Boolean - Continue billing containers when they're stopped. Volumes and backups are always billed. (default: true)bill_suspended: Boolean - Continue billing suspended users. (default: true)remove_stopped: Boolean - Remove stopped containers from the node. Persistent volumes will remain. When the user starts the container, it will be repovisioned automatically. (default: false)
Create User Group¶
POST /api/admin/user_groups
Schema
user_group: Objectname: Stringis_default: Booleanbilling_plan_id: Integeractive: Booleanq_containers: Integerq_dns_zones: Integerq_cr: Integerallow_local_volume: Boolean - When using NFS volume storage, enable this to allow users to choose.bill_offline: Boolean - Continue billing containers when they're stopped. Volumes and backups are always billed. (default: true)bill_suspended: Boolean - Continue billing suspended users. (default: true)remove_stopped: Boolean - Remove stopped containers from the node. Persistent volumes will remain. When the user starts the container, it will be repovisioned automatically. (default: false)
Delete User Group¶
DELETE /api/admin/user_groups/{id}
You must first remove any users from this group before deleting it